VERSION 4.00
Begin VB.Form MIDISetupForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "MIDI Setup"
   ClientHeight    =   1200
   ClientLeft      =   1575
   ClientTop       =   4350
   ClientWidth     =   6315
   ControlBox      =   0   'False
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   1605
   Left            =   1515
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   ScaleHeight     =   1200
   ScaleWidth      =   6315
   Top             =   4005
   Width           =   6435
   Begin VB.CommandButton CmdCancel 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5010
      TabIndex        =   5
      Top             =   690
      Width           =   1005
   End
   Begin VB.CommandButton CmdOk 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Ok"
      Height          =   375
      Left            =   5010
      TabIndex        =   4
      Top             =   240
      Width           =   1005
   End
   Begin VB.ComboBox ComboMidiOut 
      Appearance      =   0  'Flat
      Height          =   300
      Left            =   2460
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   540
      Width           =   2265
   End
   Begin VB.ComboBox ComboMidiIn 
      Appearance      =   0  'Flat
      Height          =   300
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   540
      Width           =   2265
   End
   Begin VB.Label Label2 
      Caption         =   "MIDI Out Device"
      Height          =   255
      Left            =   2490
      TabIndex        =   3
      Top             =   240
      Width           =   2025
   End
   Begin VB.Label Label1 
      Caption         =   "MIDI In Device"
      Height          =   255
      Left            =   150
      TabIndex        =   2
      Top             =   240
      Width           =   2115
   End
End
Attribute VB_Name = "MIDISetupForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
Private Sub CmdCancel_Click()
    Unload MIDISetupForm
End Sub

Private Sub CmdOk_Click()
    MIDIInOpen
    MIDIOutOpen
    MIDISetupForm.Hide
End Sub

Private Sub Form_Load()
    Dim I As Integer
   
    ' Center the form on the screen
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2

    '
    ' Fill output device combo box
    '
    For I = -1 To frmMain.MIDIOutput1.DeviceCount - 1
        frmMain.MIDIOutput1.DeviceID = I
        ComboMidiOut.AddItem frmMain.MIDIOutput1.ProductName
    Next
    '
    ' Select first in list
    '
    ComboMidiOut.ListIndex = 0
    frmMain.MIDIOutput1.DeviceID = -1
    MIDIOutOpen

    '
    ' Fill input device combo box
    '
    For I = 0 To frmMain.MIDIInput1.DeviceCount - 1
        frmMain.MIDIInput1.DeviceID = I
        ComboMidiIn.AddItem frmMain.MIDIInput1.ProductName
    Next
    '
    ' Select first in list
    '
    ComboMidiIn.ListIndex = 0
    frmMain.MIDIInput1.DeviceID = 0
    MIDIInOpen

End Sub

